# Class XmlAttributeComponent<T>`Abstract`

#### Type Parameters

- T extends {
  [key: string]: any;
  }

#### Hierarchy (view full)

- BaseXmlComponent
  - XmlAttributeComponent
    - AlignmentAttributes
    - TabAttributes
    - TableRowHeightAttributes
    - DocumentAttributes
    - DocGridAttributes
    - PageNumberTypeAttributes
    - SectionTypeAttributes
    - DocumentBackgroundAttributes
    - Attributes
    - FootNoteReferenceRunAttributes
    - VerticalAlignAttributes

- Defined in file/xml-components/default-attributes.ts:10

#####
Index

### Constructors

constructor

### Methods

prepForXml

## Constructors

### constructor

- new XmlAttributeComponent<T>(root): XmlAttributeComponent<T>

- #### Type Parameters

  - T extends {
    [key: string]: any;
    }

  #### Parameters

  - root: T

  #### Returns XmlAttributeComponent<T>

  Overrides BaseXmlComponent.constructor

  - Defined in file/xml-components/default-attributes.ts:13

## Methods

### prepForXml

- prepForXml(_): IXmlableObject

- #### Parameters

  - _: IContext

  #### Returns IXmlableObject

  Overrides BaseXmlComponent.prepForXml

  - Defined in file/xml-components/default-attributes.ts:17

Generated using TypeDoc